#!/bin/bash

# rfe.sh : Renommer des extensions de fichier (Renaming File Extensions).
#
#         rfe ancienne_extension nouvelle_extension
#
# Exemple :
# Pour renommer tous les fichiers *.gif d'un répertoire en *.jpg,
#          rfe gif jpg

E_MAUVAISARGS=65

case $# in
  0|1)             # La barre verticale signifie "ou" dans ce contexte.
  echo "Usage: `basename $0` ancien_suffixe nouveau_suffixe"
  exit $E_MAUVAISARGS  # Si 0 ou 1 argument, alors quitter.
  ;;
esac


for fichier in *.$1
# Traverse la liste des fichiers dont le nom termine avec le premier argument.
do
  mv $fichier ${fichier%$1}$2
  #  Supprime la partie du fichier contenant le premier argument
  #  puis ajoute le deuxième argument.
done

exit 0
